Bug 998290 - Installer insists on BIOS booting (but mis-installs EFI as well) [NEEDINFO]
Installer insists on BIOS booting (but mis-installs EFI as well)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 19:02 EDT by reescf
Modified: 2014-02-28 09:50 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-28 09:50:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (reescf)


Attachments (Terms of Use)

  None (edit)
Description reescf 2013-08-18 19:02:45 EDT
Description of problem:

Just installed Fedora 19 on a machine previously running Fedora 17. Fedora 17 was booting in EFI mode, the system did not have a BIOS boot partition and the installer set everything up for Fedora 17 automatically.

The installer for Fedora 19 insisted on a BIOS boot partition even though an EFI partition was configured.

Because custom partitioning doesn't work, I ended up having to let the installer configure the partitions automatically. As far as I can tell, this is what it did:
- BIOS boot partition
- /boot
- /, swap and /home on LVM

That's not too bad and it configured the boot loader to boot BIOS correctly. However, it has also installed EFI applications in /boot/efi/EFI even though there is no EFI partition and the installer formatted /boot ext4. Moreover, I have a link /etc/grub2-efi.cfg (I might be misremembering the exact name) which points to a non-existent EFI config file for grub2. This is at least highly confusing.

Version-Release number of selected component (if applicable):

Fedora-Live-KDE-x86_64-19-1.iso

How reproducible:

Didn't try. Bad enough having to use this installer once. (Sorry - Fedora 17 had a really nice installer and I'm rather disappointed by 19.)

Steps to Reproduce:
1. Set up custom partitioning for EFI boot.
2. Try not to use BIOS boot partition.
3. When that fails, let the installer do whatever.

Actual results:

Messy BIOS boot configuration.

Expected results:

I would expect it to use EFI if an EFI partition is available and not to insist on a BIOS boot partition. I would also expect it to happily install for EFI boot as Fedora 17's installer did.

Failing that, I'd expect it to consistently install for BIOS booting and not create a pseudo-ESP as a sub-directory of a partition formatted ext4 at /boot.
Comment 1 David Shea 2014-01-27 16:03:37 EST
Does this still occur in Fedora 20? Please attach the log files from /tmp (saved to /var/log/anaconda in the installed system) to this bug if this is still a problem.

Note You need to log in before you can comment on or make changes to this bug.